<script setup lang="ts">
import TheWelcome from '../components/TheWelcome.vue'
import {ref} from "vue";

const welcomeMessage = ref('ASDF')
</script>

<template>
  <main>
    <TheWelcome>
      <template v-slot:first>
        <h1>Here might be a page title</h1>
      </template>

      <template #default v-slot="slotProps">
        <p>A paragraph for the main content.</p>
        <p>And another one.</p>
      </template>

      <template #footer>
        <p>Here's some contact info</p>
      </template>
    </TheWelcome>
  </main>
</template>
